select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'APMath'                                                                                                                             as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement') = '1'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '02'
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'APScience'                                                                                                                          as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement') = '1'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '03'
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'APOther'                                                                                                                            as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement') = '1'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') != '02'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') != '03'
order by 7,10,4,1;