select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       'DE'                                                                                                                                 as DE_DC     ,
       'DualEnrollment_DualCredit'                                                                                                          as CRDCName  ,
       stu.student_number                                                                                                                   as StuNum    ,
       cc.sectionid                                                                                                                         as SecID     ,
       cc.schoolid                                                                                                                          as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from cc inner join courses crs on cc.course_number = crs.course_number
        inner join schools scl on cc.schoolid = scl.school_number
        inner join students stu on cc.studentid = stu.id
where cc.termid >= 2700 and cc.termid < 2800
  and ps_customfields.getcf('Courses',crs.id,'VA_dual_enrollment') = '1'
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       'DC'                                                                                                                                 as DE_DC     ,
       'DualEnrollment_DualCredit'                                                                                                          as CRDCName  ,
       stu.student_number                                                                                                                   as StuNum    ,
       cc.sectionid                                                                                                                         as SecID     ,
       cc.schoolid                                                                                                                          as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from cc inner join courses crs on cc.course_number = crs.course_number
        inner join schools scl on cc.schoolid = scl.school_number
        inner join students stu on cc.studentid = stu.id
where cc.termid >= 2700 and cc.termid < 2800
  and ps_customfields.getcf('Courses',crs.id,'ACPS_Dual_Credit') = '1'
order by 7,11,4,1,8;