select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'AlgebraI'                                                                                                                           as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '02'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') in ('052','053','054','155','156','058')
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'Geometry'                                                                                                                           as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '02'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') in ('071','072','074','075','079')
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'AlgebraII'                                                                                                                          as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '02'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') = '056'
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'AdvancedMath'                                                                                                                       as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '02'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') in ('057','073','103','104','105','107',
                                                                           '108','109','110','111','112','113',
                                                                           '201','202','203','101','106','131',
                                                                           '132','133','134','141','149','204','209')
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'AdvancedMath'                                                                                                                       as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '02'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') in ('057','073','103','104','105','107',
                                                                           '108','109','110','111','112','113',
                                                                           '201','202','203','101','106','131',
                                                                           '132','133','134','141','149','204','209')
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'Calculus'                                                                                                                           as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '02'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') in ('121','122','123','124','125','126')
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'Biology'                                                                                                                            as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '03'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') in ('051','052','053','054','055','056',
                                                                           '057','058','059','060','061','203',
                                                                           '062','063','099')
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'Chemistry'                                                                                                                          as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '03'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') in ('101','102','103','104','106','107',
                                                                           '105','108','149')
UNION ALL
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'Physics'                                                                                                                            as CRDCName  ,
       sec.id                                                                                                                               as SecID     ,
       sec.schoolid                                                                                                                         as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from sections sec inner join courses crs on sec.course_number = crs.course_number
                  inner join schools scl on sec.schoolid = scl.school_number
where sec.termid >= 2700 and sec.termid < 2800
  and sec.no_of_students > 0
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '03'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') in ('151','152','153','155','156','157',
                                                                           '159','160','161','162','199')
order by 7,10,4,1;