with weapon as (select distinct
                       ps_customfields.getcf('Log',d.id,'VA_Incident_code') as incid  ,
                       'W_FE'                                               as incwpn
                from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
                where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('WP6','WP7','WP8','WP1','WP2')
                       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('WP6','WP7','WP8','WP1','WP2')
                       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('WP6','WP7','WP8','WP1','WP2'))
                  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2017'
                UNION ALL
                select distinct
                       ps_customfields.getcf('Log',d.id,'VA_Incident_code') as incid  ,
                       'W_Other'                                            as incwpn
                from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
                where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('W8P','WP0','WP4','WP5','WP9','WS1','WT1','BA1','BA3')
                       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('W8P','WP0','WP4','WP5','WP9','WS1','WT1','BA1','BA3')
                       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('W8P','WP0','WP4','WP5','WP9','WS1','WT1','BA1','BA3'))
                  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2017'
                  and ps_customfields.getcf('Log',d.id,'VA_Incident_code') not in (select distinct
                                                                                          ps_customfields.getcf('Log',d.id,'VA_Incident_code') as incid
                                                                                   from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
                                                                                   where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('WP6','WP7','WP8','WP1','WP2')
                                                                                          or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('WP6','WP7','WP8','WP1','WP2')
                                                                                          or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('WP6','WP7','WP8','WP1','WP2'))
                                                                                     and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2017'))

select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_RAPE'                                                  as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('SX3','SX4','SX5','SX6','SX8')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('SX3','SX4','SX5','SX6','SX8')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('SX3','SX4','SX5','SX6','SX8'))
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
  and upper(to_char(d.entry)) like '%RAPE%'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_BATT'                                                  as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('SX3','SX4','SX5','SX6','SX8')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('SX3','SX4','SX5','SX6','SX8')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('SX3','SX4','SX5','SX6','SX8'))
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_ROBWW'                                                 as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join weapon w on ps_customfields.getcf('Log',d.id,'VA_Incident_code') = w.incid
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('RO1','RB1','RB2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('RO1','RB1','RB2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('RO1','RB1','RB2'))
  and w.incwpn = 'W_Other'
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_ROBWX'                                                 as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join weapon w on ps_customfields.getcf('Log',d.id,'VA_Incident_code') = w.incid
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('RO1','RB1','RB2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('RO1','RB1','RB2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('RO1','RB1','RB2'))
  and w.incwpn = 'W_FE'
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_ROBWOW'                                                as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join weapon w on ps_customfields.getcf('Log',d.id,'VA_Incident_code') = w.incid
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('RO1','RB1','RB2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('RO1','RB1','RB2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('RO1','RB1','RB2'))
  and w.incwpn is null
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_ATTWW'                                                 as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join weapon w on ps_customfields.getcf('Log',d.id,'VA_Incident_code') = w.incid
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('BA1','BA3','BA5','BA6','F1T','FA2','HO1','HO2','HO3','HO4')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('BA1','BA3','BA5','BA6','F1T','FA2','HO1','HO2','HO3','HO4')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('BA1','BA3','BA5','BA6','F1T','FA2','HO1','HO2','HO3','HO4'))
  and w.incwpn = 'W_Other'
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_ATTWX'                                                 as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join weapon w on ps_customfields.getcf('Log',d.id,'VA_Incident_code') = w.incid
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('BA1','BA3','BA5','BA6','F1T','FA2','HO1','HO2','HO3','HO4')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('BA1','BA3','BA5','BA6','F1T','FA2','HO1','HO2','HO3','HO4')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('BA1','BA3','BA5','BA6','F1T','FA2','HO1','HO2','HO3','HO4'))
  and w.incwpn = 'W_FE'
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_ATTWOW'                                                 as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join weapon w on ps_customfields.getcf('Log',d.id,'VA_Incident_code') = w.incid
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('BA2','BA4','BA5','BA6','F1T','FA2','HO1','HO2','HO3','HO4')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('BA2','BA4','BA5','BA6','F1T','FA2','HO1','HO2','HO3','HO4')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('BA2','BA4','BA5','BA6','F1T','FA2','HO1','HO2','HO3','HO4'))
  and w.incwpn is null
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_THRWW'                                                 as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join weapon w on ps_customfields.getcf('Log',d.id,'VA_Incident_code') = w.incid
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('TI1','TI2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('TI1','TI2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('TI1','TI2'))
  and w.incwpn = 'W_Other'
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_THRWX'                                                 as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join weapon w on ps_customfields.getcf('Log',d.id,'VA_Incident_code') = w.incid
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('TI1','TI2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('TI1','TI2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('TI1','TI2'))
  and w.incwpn = 'W_FE'
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_THRWOW'                                                as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join weapon w on ps_customfields.getcf('Log',d.id,'VA_Incident_code') = w.incid
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('TI1','TI2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('TI1','TI2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('TI1','TI2'))
  and w.incwpn is null
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_OFFENSE_POSSWX'                                                as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('WP6','WP7','WP8','WP1','WP2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('WP6','WP7','WP8','WP1','WP2')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('WP6','WP7','WP8','WP1','WP2'))
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
UNION ALL
select distinct
       ps_customfields.getcf('Log',d.id,'VA_Incident_code')                as incid        ,
       d.schoolid                                                          as schoolid     ,
       t.name                                                              as logyear      ,
       'SCH_HOMICIDE_IND'                                                  as inctype
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
where (   upper(ps_customfields.getcf('Log',d.id,'VA_primary_code')) in ('HO1','HO2','HO3','HO4')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code2')) in ('HO1','HO2','HO3','HO4')
       or upper(ps_customfields.getcf('Log',d.id,'VA_offense_code3')) in ('HO1','HO2','HO3','HO4'))
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
order by 1;

select ps_customfields.getcf('Log',d.id,'VA_Incident_code') as incid,
       d.schoolid,
       stu.lastfirst,
       to_char(d.entry) as entrytext
from log d inner join students stu on d.studentid = stu.id
where ps_customfields.getcf('Log',d.id,'VA_Incident_code') in ('201145152','201141161')
order by 1;