--Incidents where student was disciplined for bullying on the basis of sex
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'H_B_Sex'                                                           as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Disciplined_sex') = 'Y'
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by log.schoolid, stu.lastfirst;

--Incidents where student was disciplined for bullying on the basis of race, color or national origin
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'H/B on the basis of race, color, or national origin'               as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Disciplined_race') = 'Y'
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by log.schoolid, stu.lastfirst;

--Incidents where student was disciplined for bullying on the basis of disability
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'H/B on the basis of disability'                                    as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Disciplined_disability') = 'Y'
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by log.schoolid, stu.lastfirst;

--Incidents of harrassment and bullying SQL Reports version
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'H/B on the basis of sex'                                           as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = ~(curyearid)
  and ps_customfields.getcf('Log',log.id,'CRDC_Disciplined_sex') = 'Y'
  ~[if#sch.is.a.school] and log.schoolid = ~(curschoolid) [/if#sch]
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
UNION ALL
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'H/B on the basis of race, color, or national origin'               as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = ~(curyearid)
  and ps_customfields.getcf('Log',log.id,'CRDC_Disciplined_race') = 'Y'
  ~[if#sch.is.a.school] and log.schoolid = ~(curschoolid) [/if#sch]
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
UNION ALL
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'H/B on the basis of disability'                                    as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = ~(curyearid)
  and ps_customfields.getcf('Log',log.id,'CRDC_Disciplined_disability') = 'Y'
  ~[if#sch.is.a.school] and log.schoolid = ~(curschoolid) [/if#sch]
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by inctype, stuname;

--Incidents where student was disciplined for bullying for CRDC
select log.schoolid          as schoolid ,
       t.name                as yearname ,
       'H_B_Sex'             as inctype  ,
       stu.student_number    as stunum
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Disciplined_sex') = 'Y'
group by log.schoolid, t.name, stu.student_number
UNION ALL
select log.schoolid          as schoolid ,
       t.name                as yearname ,
       'H_B_Race'            as inctype  ,
       stu.student_number    as stunum
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Disciplined_race') = 'Y'
group by log.schoolid, t.name, stu.student_number
UNION ALL
select log.schoolid          as schoolid ,
       t.name                as yearname ,
       'H_B_Dis'             as inctype  ,
       stu.student_number    as stunum
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Disciplined_disability') = 'Y'
group by log.schoolid, t.name, stu.student_number
order by 1,4;