--Expulsions & School Related Arrests
select d.id                                                                as logid        ,
       d.schoolid                                                          as schoolid     ,
       d.studentid                                                         as stuid        ,
       d.discipline_incidentdate                                           as logdate      ,
       case d.consequence
            when 'Out of School Susp' then 'OSS'
            when 'Supt referral + OSS' then 'OSS'
            when 'Overnight Suspension' then 'OSS'
            when 'In-School Suspension' then 'ISS'
            else d.consequence end                                             as sustype      ,
       UPPER(ps_customfields.getcf('Log',d.id,'VA_primary_code'))              as pridc        ,
       ps_customfields.getcf('Log',d.id,'CRDC_Discipline')                     as CRDC_disc
from log d
where ps_customfields.getcf('Log',d.id,'CRDC_Discipline') is not null
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018';

--Referral to Law Enforcement
select d.id                                                                as logid        ,
       d.schoolid                                                          as schoolid     ,
       stu.student_number                                                  as stuid        ,
       stu.ethnicity                                                       as stuethnicity ,
       grd.stugrade                                                        as stugrade     ,
       d.discipline_incidentdate                                           as logdate      ,
       t.name                                                              as logyear      ,
       UPPER(ps_customfields.getcf('Log',d.id,'VA_primary_code'))          as pridc        ,
       ps_customfields.getcf('Log',d.id,'VA_Reported_Law')                 as RepLaw
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join students stu on d.studentid = stu.id
           left join (select s.id           as stuid      ,
                             s.grade_level  as stugrade   ,
                             s.entrydate    as stuentry   ,
                             s.exitdate     as stuexit
                      from students s
                      where s.entrydate <> s.exitdate
                      union all
                      select r.studentid    as stuid      ,
                             r.grade_level  as stugrade   ,
                             r.entrydate    as stuentry   ,
                             r.exitdate     as stuexit
                      from reenrollments r
                      where r.entrydate <> r.exitdate) grd on d.studentid = grd.stuid and d.discipline_incidentdate >= grd.stuentry and d.discipline_incidentdate <= grd.stuexit
where ps_customfields.getcf('Log',d.id,'VA_Reported_Law') is not null
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018';