select * from log where ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Mechanical') = 'Y';

--Incidents of mechanical restraint
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'Mechanical Restraint'                                              as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Mechanical') = 'Y'
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by log.schoolid, stu.lastfirst;

--Incidents of physical restraint
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'Physical Restraint'                                                as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Physical') = 'Y'
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by log.schoolid, stu.lastfirst;

--Incidents of seclusion
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'Seclusion'                                                         as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Seclusion') = 'Y'
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by log.schoolid, stu.lastfirst;

--Incidents of restraint and seclusion SQL Reports version
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'Mechanical Restraint'                                              as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = ~(curyearid)
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Mechanical') = 'Y'
  ~[if#sch.is.a.school] and log.schoolid = ~(curschoolid) [/if#sch]
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
UNION ALL
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'Physical Restraint'                                                as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = ~(curyearid)
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Physical') = 'Y'
  ~[if#sch.is.a.school] and log.schoolid = ~(curschoolid) [/if#sch]
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
UNION ALL
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'Seclusion'                                                         as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = ~(curyearid)
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Seclusion') = 'Y'
  ~[if#sch.is.a.school] and log.schoolid = ~(curschoolid) [/if#sch]
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by inctype, stuname;

--Attempt to embed link to incident
select log.schoolid as schoolid ,
         stu.student_number as stunum   ,
         stu.lastfirst as stuname  ,
         count(*) as inccount ,
         listagg ('<a href=/admin/students/customlogentry.html?frn=008'||to_char(log.dcid)||'&studentfrn=001'||to_char(log.studentid)||' target=_blank>'||log.entry_date||'</a>',',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = ~(curyearid)
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Mechanical') = 'Y'
  ~[if#sch.is.a.school] and log.schoolid = ~(curschoolid) [/if#sch]
group by log.schoolid, stu.student_number, stu.lastfirst
order by log.schoolid, stu.lastfirst;

--Incidents of restraint and seclusion for CRDC
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'Mechanical Restraint'                                              as inctype  ,
       stu.student_number                                                  as stunum
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Mechanical') = 'Y'
UNION ALL
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'Mechanical Restraint'                                              as inctype  ,
       stu.student_number                                                  as stunum
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Physical') = 'Y'
UNION ALL
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'Mechanical Restraint'                                              as inctype  ,
       stu.student_number                                                  as stunum
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Restraint_Seclusion') = 'Y'
order by 1,4;