--Passed Algebra
select crs.course_number                                                                                                                    as CrsNum    ,
       crs.course_name                                                                                                                      as CrsName   ,
       ps_customfields.getcf('Courses',crs.id,'VA_course_code')                                                                             as VACode    ,
       ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') || ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier')   as SCEDCode  ,
       crs.sched_department                                                                                                                 as Dept      ,
       --ps_customfields.getcf('Courses',crs.id,'VA_Advanced_Placement')                                                                      as AP        ,
       'AlgebraIPassing'                                                                                                                           as CRDCName  ,
       stu.student_number                                                                                                                   as StuNum    ,
       sg.storecode                                                                                                                         as StrCd     ,
       sg.grade                                                                                                                        as StrGrd    ,
       sg.schoolid                                                                                                                          as SclID     ,
       scl.abbreviation                                                                                                                     as Scl
from storedgrades sg inner join courses crs on sg.course_number = crs.course_number
                     inner join schools scl on sg.schoolid = scl.school_number
                     inner join students stu on sg.studentid = stu.id
where sg.termid >= 2700 and sg.termid < 2800
  and (sg.storecode in ('Y1','Y2') and sg.grade in ('A','B','C','D'))
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Subject_Area') = '02'
  and ps_customfields.getcf('Courses',crs.id,'VA_SCED_Crs_Identifier') in ('052','053','054','155','156','058')
order by stu.student_number;


--OLD Passed Algebra in 7th & 8th Grade specific races
select stu.schoolid, stu.gender, stu.ethnicity, count (*)
from students stu inner join storedgrades sg on stu.id = sg.studentid
where sg.grade_level >= 7 and sg.grade_level <= 8
      and upper(sg.course_name) like '%ALGEBRA 1%'
      and sg.earnedcrhrs > 0
      and sg.termid >= 2200 and sg.termid < 2300
group by stu.schoolid, stu.gender, stu.ethnicity
order by stu.schoolid, stu.gender DESC, stu.ethnicity;

--OLD Passed Algebra in 7th & 8th Grade students with disabilities (DIS)
select stu.schoolid, stu.gender, count (*)
from students stu inner join storedgrades sg on stu.id = sg.studentid
where sg.grade_level >= 7 and sg.grade_level <= 8
      and upper(sg.course_name) like '%ALGEBRA 1%'
      and sg.earnedcrhrs > 0
      and sg.termid >= 2200 and sg.termid < 2300
      and ps_customfields.getcf('Students',stu.id,'VA_Primary_Dis_Code') is not null
group by stu.schoolid, stu.gender
order by stu.schoolid, stu.gender DESC;

--OLD Passed Algebra in 7th & 8th Grade LEP students
select stu.schoolid, stu.gender, count (*)
from students stu inner join storedgrades sg on stu.id = sg.studentid
where sg.grade_level >= 7 and sg.grade_level <= 8
      and upper(sg.course_name) like '%ALGEBRA 1%'
      and sg.earnedcrhrs > 0
      and sg.termid >= 2200 and sg.termid < 2300
      and ps_customfields.getcf('Students',stu.id,'VA_LEP_Serv_Cd') is not null
group by stu.schoolid, stu.gender
order by stu.schoolid, stu.gender DESC;