--School related arrests
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'School-related Arrest'                                             as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = 27
  and ps_customfields.getcf('Log',log.id,'CRDC_Discipline') = '09'
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by log.schoolid, stu.lastfirst;

--School related arrests SQL Reports version
select log.schoolid                                                        as schoolid ,
       t.name                                                              as yearname ,
       'School-related Arrest'                                             as inctype  ,
       stu.student_number                                                  as stunum   ,
       stu.lastfirst                                                       as stuname  ,
       count(*)                                                            as inccount ,
       listagg (log.entry_date,',') within group (order by log.entry_date) as incdates
from students stu inner join log on stu.id = log.studentid
                  inner join terms t on 1 = t.isyearrec and log.schoolid = t.schoolid and log.discipline_incidentdate >= t.firstday and log.discipline_incidentdate <= t.lastday
where t.yearid = ~(curyearid)
  and ps_customfields.getcf('Log',log.id,'CRDC_Discipline') = '09'
  ~[if#sch.is.a.school] and log.schoolid = ~(curschoolid) [/if#sch]
group by log.schoolid, t.name, stu.student_number, stu.lastfirst
order by log.schoolid, stu.lastfirst;