
                   
--Suspensions
select schoolid    as schoolid ,
       stuid       as stuid    ,
       logyear     as logyear  ,
       sustype     as sustype  ,
       count (*)   as inccnt   ,
       sum(suslen) as suslen
from (select d.schoolid                                   as schoolid     ,
             stu.student_number                           as stuid        ,
             t.name                                       as logyear      ,
             case d.consequence
                  when 'Out of School Susp' then 'OSS'
                  when 'Supt referral + OSS' then 'OSS'
                  when 'Overnight Suspension' then 'OSS'
                  when 'In-School Suspension' then 'ISS'
                  when 'Expulsion' then 'EXP'
                  else d.consequence end                  as sustype       ,
             case when d.discipline_durationactual is null then d.discipline_durationassigned
                  when d.discipline_durationactual = 0 and d.discipline_durationassigned > 0 then d.discipline_durationassigned
                  else d.discipline_durationactual end    as suslen
      from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
                 left join students stu on d.studentid = stu.id
      where d.consequence in ('Out of School Susp','Supt referral + OSS','Overnight Suspension','In-School Suspension','Expulsion')
        and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018')
group by schoolid, stuid, logyear, sustype
UNION ALL
select d.schoolid                                                          as schoolid     ,
       stu.student_number                                                  as stuid        ,
       t.name                                                              as logyear      ,
       'LawEnf'                                                            as sustype      ,
       count (*)                                                           as inccnt       ,
       0                                                                   as suslen
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join students stu on d.studentid = stu.id
where ps_customfields.getcf('Log',d.id,'VA_Reported_Law') is not null
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
group by d.schoolid, stu.student_number, t.name
UNION ALL
select d.schoolid                                                          as schoolid     ,
       stu.student_number                                                  as stuid        ,
       t.name                                                              as logyear      ,
       'SclArrest'                                                         as sustype      ,
       count (*)                                                           as inccnt       ,
       0                                                                   as suslen
from log d left join terms t on d.schoolid = t.schoolid and (t.yearid * 100) = t.id and d.discipline_incidentdate >= t.firstday and d.discipline_incidentdate <= (t.lastday + 60)
           left join students stu on d.studentid = stu.id
where ps_customfields.getcf('Log',d.id,'CRDC_Discipline') = '09'
  and d.discipline_incidentdate >= '8/1/2017' and d.discipline_incidentdate < '8/1/2018'
group by d.schoolid, stu.student_number, t.name
order by 1,2,4;
                   